<script>
    import { userbaseStore, userStore, promiseStore } from '../stores'
    import { navStore } from '../stores'
    import Sidebar from '../components/Sidebar.svelte';    
	function signout() {
    try{
		 
        $promiseStore =$userbaseStore.signOut().then(() => $userStore= null);
        window.location = '#/signin'
    
      }catch(e){
        
        alert(e) 
    
      }
  }

    function navbar(){
        if($navStore)
            $navStore = false
        else
            $navStore = true
    }
</script>
 <header class="text-gray-600 body-font">
    <div class="container mx-auto flex flex-wrap p-5 flex-col md:flex-row items-center">
      <a class="flex title-font font-medium items-center text-gray-900 mb-4 md:mb-0" on:click={navbar}>
        <svg viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg" class="w-10 h-10 text-white p-2 bg-indigo-500 rounded-full" stroke="currentColor"  stroke-linejoin="round" stroke-width="2">
            <path fill="#FFF" d="M32 96v64h448V96H32zm0 128v64h448v-64H32zm0 128v64h448v-64H32z"/>
        </svg>
        <span class="ml-3 text-xl">{$userStore.username}</span>
      </a>
      <nav class="md:ml-auto flex flex-wrap items-center text-base justify-center">
        <a class="mr-5 hover:text-gray-900">First Link</a>
        <a class="mr-5 hover:text-gray-900">Second Link</a>
        <a class="mr-5 hover:text-gray-900">Third Link</a>
        <a class="mr-5 hover:text-gray-900">Fourth Link</a>
      </nav>
      <button on:click={signout} class="inline-flex items-center bg-gray-100 border-0 py-1 px-3 focus:outline-none hover:bg-gray-200 rounded text-base mt-4 md:mt-0">Sign Out
        <svg fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" class="w-4 h-4 ml-1" viewBox="0 0 24 24">
          <path d="M5 12h14M12 5l7 7-7 7"></path>
        </svg>
      </button>
    </div>
  </header>
  <Sidebar/>